Get Run
curl --request GET \
--url https://api.noqa.ai/v1/runs/{run_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.noqa.ai/v1/runs/{run_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.noqa.ai/v1/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "2023-11-07T05:31:56Z",
"status": "running",
"test_count": 10,
"statuses": {
"failed": 2,
"passed": 3,
"queued": 5
},
"build": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"name": "<string>"
},
"device": {
"model": "<string>",
"os_version": "<string>",
"platform": "ios",
"locale": "en_US"
},
"tests": [
{
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case_name": "<string>",
"status": "queued"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Runs
Get Run
Get specific test run by ID (Public API with API Key authentication)
Get Run
Authorizations
API Key for authentication. Get your API key from NOQA dashboard.
Headers
API Key for authentication
Path Parameters
Query Parameters
Application ID
Response
Successful Response
Response model for test run detail in Public API
Unique identifier of the test run
Example:
"550e8400-e29b-41d4-a716-446655440000"
Timestamp when the run was created
Overall run status
Available options:
queued, running, passed, failed, cancelled Examples:
"running"
"completed"
"cancelled"
Total number of tests in the run
Example:
10
Count of tests by status
Show child attributes
Show child attributes
Example:
{ "failed": 2, "passed": 3, "queued": 5 }
Build information
Show child attributes
Show child attributes
Device configuration used for the run
Show child attributes
Show child attributes
List of tests in the run
Show child attributes
Show child attributes
